function [trenovaci]=SVM_uprava_kog(delka,matice_SVM_BIN_PSY_KON,a)
X=(1:20);
a=sort(a);
pomf9=[];
pomf10=[];

for q=1:length(a);
pom4=a(q);
X(pom4)=0;
end

X(X==0)=[];

% pro KOG
inter_delka=[1,delka];

for f=1:length(X);
    pomf1=X(f);
    pomf2=inter_delka(1:pomf1);
    pomf2=sum(pomf2);
    pomf3=inter_delka(1:pomf1+1);
    pomf3=sum(pomf3);
    pomf4=matice_SVM_BIN_PSY_KON(pomf2:pomf3,:);
    pomf5=pomf4(7700:10500,:);
    
    pomf7=zeros(size(pomf5,1),6);
    

    for g=1:size(pomf5,1);
        pomf6=size(pomf5,1)+1;
        pomf7(g,:)=pomf5(pomf6-g,:);
    end
    
    pomf8=pomf4;
    pomf8(11500:13500,:)=[];
    pomf8(4000:6000,:)=[];
 
    
    pomf9=[pomf8;pomf7];
    pomf10=[pomf9;pomf10];
    
end

trenovaci=pomf10;

end

